package org.springblade.device.feign;

import org.springblade.device.entity.ElevatorAlarmSetting;
import org.springblade.device.vo.ElevatorAlarmSettingVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class ElevatorAlarmSettingClientFallback implements IElevatorAlarmSettingClient {
            /**
         * 详情
         */
        @Override
        public ElevatorAlarmSettingVO detail(ElevatorAlarmSetting elevatorAlarmSetting) {
            return null;
        }

        /**
         * 查询 电梯告警设置
         */
        @Override
        public List<ElevatorAlarmSettingVO> list(ElevatorAlarmSetting elevatorAlarmSetting) {
            return null;
        }

    

        /**
         * 新增 电梯告警设置
         */
        @Override
        public boolean save( ElevatorAlarmSetting elevatorAlarmSetting) {
            return false;
        }

        /**
         * 修改 电梯告警设置
         */
        @Override
        public boolean update( ElevatorAlarmSetting elevatorAlarmSetting) {
            return false;
        }

        /**
         * 新增或修改 电梯告警设置
         */
        @Override
        public boolean submit( ElevatorAlarmSetting elevatorAlarmSetting) {
            return false;
        }

    
        /**
         * 删除 电梯告警设置
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
